Check Claimable

  • GET
  • /workspaces
  • /:workspace
  • /domains
  • /claimable
  • /:name

Check claimable domains availability for a subdomain name

Request

REQUIRED SCOPES
ZONE_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

namerequiredstring
The subdomain name to search for in the list of claimable domains

Example: "food"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
domainsClaimAvailabilityView[]
Collection of claimable domain results

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/domains/claimable/:name" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/domains/claimable", "html_url": "https://app.buddy.works/my-company/-/domains/claim", "domains": [ { "url": "https://api.buddy.works/workspaces/my-company/domains/claimable", "html_url": "https://app.buddy.works/my-company/-/domains/claim", "domain": "claim.net", "available": true }, { "url": "https://api.buddy.works/workspaces/my-company/domains/claimable", "html_url": "https://app.buddy.works/my-company/-/domains/claim", "domain": "claim.app", "available": false } ] }
STATUS
200 OK